# MsgBoxResult

Namespace: **Wisej.Web.VisualBasic**

Assembly: **Wisej.Framework** (4.0.0.0)

Indicates which button was pressed on a message box, returned by the MsgBox function.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MsgBoxResult : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MsgBoxResult As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                 |
| ---------- | ------------------------------------------------------------------------------------------- |
| **Abort**  | Abort button was pressed. This member is equivalent to the Visual Basic constant vbAbort.   |
| **Cancel** | Cancel button was pressed. This member is equivalent to the Visual Basic constant vbCancel. |
| **Ignore** | Ignore button was pressed. This member is equivalent to the Visual Basic constant vbIgnore. |
| **No**     | No button was pressed. This member is equivalent to the Visual Basic constant vbNo.         |
| **None**   | Nothing is returned from the dialog box.                                                    |
| **Ok**     | OK button was pressed. This member is equivalent to the Visual Basic constant vbOK.         |
| **Retry**  | Retry button was pressed. This member is equivalent to the Visual Basic constant vbRetry.   |
| **Yes**    | Yes button was pressed. This member is equivalent to the Visual Basic constant vbYes.       |

## Used By

| Name                                                                                                                                              | Description                                                                                                                                     |
| ------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| [Interaction.MsgBox](/api/wisej.web.visualbasic/extensions/wisej.web.visualbasic.interaction.md#msgbox-target-prompt-buttons-title-closecallback) | Displays a message in a dialog box, waits for the user to click a button, and then returns an integer indicating which button the user clicked. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.visualbasic/extensions/wisej.web.visualbasic.msgboxresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
